- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_family_path,
                                 new_caption:  t('.new')

- if @families.size.positive?
  = render 'admin/widgets/pagination', list: @families

._filters
  ._filters__section
    ._filters__section__title= t('activerecord.attributes.family.kingdom')
    = filter_by_link t('generic.all'), filters: { kingdom: nil }, keep: [:search, :source, :genera]
    = filter_by_link t('.kingdom.plant'), filters: { kingdom: 'plant' }, keep: [:search, :source, :genera]
    = filter_by_link t('.kingdom.animal'), filters: { kingdom: 'animal' }, keep: [:search, :source, :genera]
  ._filters__section
    ._filters__section__title= t('activerecord.attributes.family.source')
    = filter_by_link t('generic.all'), filters: { source: nil }, keep: [:search, :kingdom, :genera]
    = filter_by_link t('generic.with'), filters: { source: 'with' }, keep: [:search, :kingdom, :genera]
    = filter_by_link t('generic.without'), filters: { source: 'without' }, keep: [:search, :kingdom, :genera]
  ._filters__section
    ._filters__section__title= t('activerecord.models.genus', count: 2)
    = filter_by_link t('generic.all'), filters: { genera: nil }, keep: [:search, :kingdom, :source]
    = filter_by_link t('generic.without'), filters: { genera: 'without' }, keep: [:search, :kingdom, :source]
  ._filters__spring
  ._filters__section= render 'admin/widgets/search', keep: [:kingdom, :source, :genera]

- if @families.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th.-text--monospace.-text--right{ scope: 'col' }= t('activerecord.attributes.family.sync_id')
        %th{ scope: 'col' }= order_by_link t('activerecord.attributes.family.name'),
                                            'families.name',
                                            keep_filters: [:search, :kingdom, :source, :genera]
        %th{ scope: 'col' }= t('activerecord.attributes.family.kingdom')
        %th{ scope: 'col' }= t('activerecord.attributes.family.source')
        %th{ scope: 'col' }= t('activerecord.models.genus', count: 2)
        %th{ scope: 'col' }

    %tbody
      - @families.each do |family|
        %tr
          %td.-text--monospace.-text--right= family.id
          %td.-text--monospace.-text--right= family.sync_id.presence || '-'
          %td= link_to family.name, admin_family_path(family)
          %td= family.kingdom
          %td.centered{ class: (family.source.present? ? '' : 'warning') }
            = yes_no family.source.present?
          %td.centered= family.genera.size
          %td.-actions
            = render 'layouts/entity_actions', edit_url: edit_admin_family_path(family),
                                               destroy_url: admin_family_path(family)

  = render 'admin/widgets/pagination', list: @families, name: 'family'
